
ChiliProject - Feature # 683: Change "version" to "milestone" (or make dynamic)

Status: Declined Priority: Normal
Author: Jason Socha Category: User interface
Created: 2011-11-04 Assignee:
Updated: 2011-11-10 Due date:
Remote issue URL:
Affected version: master
Description: I've been a Redmine user for years and have been frustrated by the lack of forward motion, so I'm really glad 

to have discovered ChiliProject.

Anyway, one thing that has always bugged me is the hard-coded term "version" in roadmap/issues.  I believe 
the term "milestone" would be much more sensible, as a version release can be milestone, but other 
milestones, like "design mockups complete" or "contract signed" don't make any sense to be called a 
"version".

Teams that I've worked on using Redmine pretty much always just tell everyone "ignore the word version; it's 
a milestone" anyway.

For extra make-everyone-happy, this could be a config setting, so people could call it whatever the heck they 
want.

History
2011-11-06 12:31 pm - Felix Schäfer
- Target version set to 2.5.0

- Assignee set to Felix Schäfer

- Category changed from Versions to User interface

- (deleted custom field) set to master

That's one that's been bothering me for some time too, I'll have a look.

2011-11-06 12:49 pm - Felix Schäfer
There's only one smallish problem with that: the same string is used on the wiki diff page to show what version of the page you're on. Should we make 
that an extra string (like "wiki_version") so that it doesn't depend on anything else, or make it the same as a revision, but that sounds funny in english, 
orâ€¦?

2011-11-06 01:14 pm - Felix Schäfer
(Oh, and I think Eric had a tutorial somewhere on how to create a plugin which sole purpose was to override translation strings, that might be a 
short-term option for you)

2011-11-06 11:01 pm - Eric Davis
-1 I don't like the idea of renaming the "version" string at all. This was discussed a few years ago ("link":http://www.redmine.org/boards/1/topics/214) 
and milestones has exactly the same problem: it's definition is dependent on who is using it. Unless the underlying system is renamed too I don't want 
to change the name in the user interface. We already such a vocabulary disconnect with the boards module: it's called boards or forums and has 
messages or topics or replies...

If you want to rename the translations in the user interface I created a plugin for this. Just install it and follow the readme and it will override the main 
strings: https://github.com/edavis10/redmine_language_change
2011-11-07 05:00 am - Jason Socha
The UI string is really all I care about, so I'll try the translation plugin.  Thanks for that.  If there's a deep reason to not refactor the string in code, that's 
fair enough.   

For argument's sake (and yes, I realize this has all been said before in the linked thread) I still believe that "milestone" is a better generic term.  In a 
nutshell: the term "version" assumes that you're using ChiliProject for software projects.  The term makes little sense in any other type of project, like 
building a house or rearranging a warehouse.  But since ChiliProject probably *is* used for software most of the time, it may not matter that much to 
most users.

Thanks again!

2011-11-09 02:39 am - Ryan Cross
I understand Eric's perspective, but I think this is mostly about the ability to configure the user interface string. 

The point about renaming the translation string is simply because the wiki module depends on the same string, but it not necessarily the same 
purpose/context. 

I would also agree that "milestone" is more general/applicable than "version", but that's not the point - we just need the ability to easily change it. (As an 
example, even in a software context people might prefer to use the term "sprint" or "iteration" or "release") 

2011-11-09 12:17 pm - Tammo Tjarks
I am unsure, but I think it is not only a question of the naming. From my perspective the version and milestone can be even two independent identities. 
For example there are versions for linux distrubutions, ruby, ... and each version has again milestones for feature freeze and so on. So I think each 
version has the same amount of milestones. Depending on the product each version can have milestones as feature freeze, api freeze and so on. So 
maybe it should be an extra enty or something like an tailing string to the version, like version 6.4.1:spec_freeze

2011-11-09 07:27 pm - Jason Socha
I have installed the translation plugin from comment 4 and it works perfectly.  Anyone who cares about the use of this terminology in the UI should give 
it a try.  My UI now refers to "milestones" in all forms and roadmap pages; the word "version" doesn't show up anywhere.  Unless, of course, I create a 
milestone called "Version 1.3" ;p. 

Problem solved, as far as I'm concerned.  Thanks! 

2011-11-10 05:56 pm - Eric Davis
- Target version deleted (2.5.0)

- Assignee deleted (Felix Schäfer)

- Status changed from Open to Declined

Thanks Jason Socha, I'm going to close this as done then.

2020-10-25 2/2


